Agara

Create a personal access token

POST/trade/v1/auth/tokens

Authorization

privy_identity_token
AuthorizationBearer <token>

Privy identity token from a live browser session. Issued by the web app's Privy SDK; not obtainable via API. Used by operations that require a fresh browser session.

In: header

Request Body

application/json

POST /trade/v1/auth/tokens request body.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/trade/v1/auth/tokens" \  -H "Content-Type: application/json" \  -d '{    "exchange": "AGARA",    "label": "string",    "scopes": [      "string"    ]  }'
{  "created_at": "2019-08-24T14:15:22Z",  "expires_at": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "label": "string",  "scopes": [    "string"  ],  "token": "string"}